=== smblib/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=smblib
INCS=-I$(TOP)/goldlib/smblib -I$(TOP)/goldlib/gall
CFLAGS=-x c++

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib
