=== rddt/Makefile ===
# -*- makefile -*-

ifeq ($(TERM),cygwin)
MINGW=true
else
ifeq ($(OSTYPE),msys)
MINGW=true
endif
endif

TOP=..
SHORTTARGET=rddt
TARGET=rddt
INCS=-I$(TOP)/goldlib/gall -I$(TOP)/golded3
ifeq ($(findstring EMX, $(PATH)), EMX)
STDLIBS=-lstdcpp
else
ifdef MINGW
STDLIBS=-luser32
endif
endif
GLIBS=gall
CLEANS=
ADDS+=$(TOP)/$(OBJPATH)/$(PLATFORM)/golded3/golded3$(OBJEXT)

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.prg
