=== goldlib/uulib/Makefile ===
# -*- makefile -*-

VERSION=0.5
PATCH=15

TOP=../..
TARGET=uulib
INCS=-I$(TOP)/goldlib/uulib
CFLAGS=-DHAVE_CONFIG_H -DVERSION=\"$(VERSION)\" -DPATCH=\"$(PATCH)\"

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib
