=== goldlib/gcfg/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=gcfg
INCS=-I$(TOP)/goldlib/gall -I$(TOP)/goldlib/gcfg

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib
