=== goldlib/glibc/Makefile ===
# -*- makefile -*-

TOP=../..
TARGET=glibc
INCS=-I$(TOP)/goldlib/glibc
CFLAGS=-DHAVE_CONFIG_H

include $(TOP)/GNUmakef.inc
include $(TOP)/GNUmakef.lib
