=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	sed -f debian/patch-mygolded_h.sed golded3/mygolded.__h > golded3/mygolded.h
	cat Makefile debian/patch-Makefile > Makefile.Debian
	$(MAKE) -f Makefile.Debian

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	rm -f golded3/mygolded.h Makefile.Debian
	rm -rf obj lib bin dep

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) -f Makefile.Debian install DESTDIR=`pwd`/debian/tmp
	install -p -m644 cfgs/charset/*.{chs,esc} debian/tmp/usr/share/golded/charset
	install -p -m644 cfgs/colorset/*.cfg debian/tmp/usr/share/golded/colorset
	install -p -m644 cfgs/config/{*.cfg,goldlang.*} debian/tmp/usr/share/golded/config
	install -p -m644 cfgs/template/{*.tpl,*.cfm} debian/tmp/usr/share/golded/template
	install -m644 debian/golded.xpm debian/tmp/usr/X11R6/include/X11/pixmaps

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs -k docs/notework.txt
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
